# Inspect remote video metadata
`POST https://vod-web-import-api.livepush.io/inspector/get_metadata`
Inspects a video hosted at a direct URL (e.g. Amazon S3, HTTPS)
and returns metadata required before starting a video import.

This step is mandatory before creating a transfer.
- **Tag:** Video Imports
- **Operation ID:** `inspectVideoMetadata`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/video-imports/inspect-remote-video-metadata/

### Request body

`application/json` (required)

- `url` (string<uri>) **required** — Direct URL to the source video


```json
{
  "url": "https://bucket.s3.amazonaws.com/video.mp4"
}
```


### Example request

```bash
curl -X POST 'https://vod-web-import-api.livepush.io/inspector/get_metadata' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "url": "https://bucket.s3.amazonaws.com/video.mp4"
  }'
```


### Responses


#### 200 — Metadata retrieved successfully

- `id` (string) — Metadata identifier used for import
- `duration` (number)
- `size` (number)
- `container` (string)
- `videoCodec` (string)
- `audioCodec` (string)


```json
{
  "id": "tup_eK9_VlyyRnLr",
  "duration": 312,
  "size": 104857600,
  "container": "mov",
  "videoCodec": "h264",
  "audioCodec": "aac"
}
```


#### 400 — Response


#### 401 — Response

